## docker.io 1.12.1

=== debian/changelog ===
docker.io (1.12.1-0ubuntu15) yakkety; urgency=medium

  * d/test/docker-in-lxd: use images:ubuntu/${suite}/${arch} instead of
    ubuntu-daily:${suite} because the former does not have cloud-init in it to
    rewrite /etc/apt/sources.list at unexpected times.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 10 Oct 2016 21:38:17 +1300

docker.io (1.12.1-0ubuntu14) yakkety; urgency=medium

  * d/test/docker-in-lxd: cope with changes in lxd 2.3. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 10 Oct 2016 15:30:42 +1300

docker.io (1.12.1-0ubuntu13) yakkety; urgency=medium

  * d/tests/docker-in-lxd: copy apt config from host to container rather than
    just enabling all of the -proposed pocket. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 27 Sep 2016 12:23:56 +1300

docker.io (1.12.1-0ubuntu12) yakkety; urgency=medium

  * Final(?) docker-in-lxd fix: of course, alpine:latest is only the name of
    the image on amd64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 19 Sep 2016 20:34:59 +1200

docker.io (1.12.1-0ubuntu11) yakkety; urgency=medium

  * Even more docker-in-lxd fixes.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 19 Sep 2016 14:14:33 +1200

docker.io (1.12.1-0ubuntu10) yakkety; urgency=medium

  * Yet another docker-in-lxd fix.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 16 Sep 2016 19:02:41 +1200

docker.io (1.12.1-0ubuntu9) yakkety; urgency=medium

  * Proxy related fix for docker-in-lxd.  

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 16 Sep 2016 18:59:54 +1200

docker.io (1.12.1-0ubuntu8) yakkety; urgency=medium

  * Re-enable docker-in-lxd again after many fixes. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 16 Sep 2016 12:26:04 +1200

docker.io (1.12.1-0ubuntu7) yakkety; urgency=medium

  * d/tests/control: disable docker-in-lxd again, does not work in production
    infrastructure. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 08 Sep 2016 09:41:13 +1200

docker.io (1.12.1-0ubuntu6) yakkety; urgency=medium

  * d/tests/control: docker-in-lxd needs to depend on lxd-client as well. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Sep 2016 21:18:18 +1200

docker.io (1.12.1-0ubuntu5) yakkety; urgency=medium

  * Ignore failure to set oom_score_adj, as happens in an unprivileged
    container.
  * Use $DOCKER_OPTS in service file again.
  * Add an autopkgtest to test docker-in-lxd.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Sep 2016 15:36:50 +1200

docker.io (1.12.1-0ubuntu4) yakkety; urgency=medium

  * Fix service file.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Sep 2016 14:13:12 +1200

docker.io (1.12.1-0ubuntu3) yakkety; urgency=medium

  * Skip "TestOverlay50LayerRead" on "overlay" driver too (in
    "skip-privileged-unit-tests.patch")

 -- Tianon Gravi <tianon@debian.org>  Mon, 29 Aug 2016 16:00:00 -0700

docker.io (1.12.1-0ubuntu2) yakkety; urgency=medium

  * Add new "overlay2" driver's tests to "skip-privileged-unit-tests.patch"
    (FTBFS fix)

 -- Tianon Gravi <tianon@debian.org>  Fri, 26 Aug 2016 10:20:24 -0700

docker.io (1.12.1-0ubuntu1) yakkety; urgency=medium

  * Update to 1.12.1 upstream release (LP: #1602243)
    - refresh "cgroupfs-mount-convenience-copy.patch"
    - remove "fatal-error-old-kernels.patch"; applied upstream,
      https://github.com/docker/docker/commit/51b23d88422918c24291f5876df35f91b23a446a
    - refresh "change-system-unit-env-file.patch"
    - refresh "21491--systemd-tasksmax.patch"
    - remove "22000--ignore-invalid-host-header.patch"; applied upstream,
      https://github.com/docker/docker/pull/22000
      https://github.com/docker/docker/pull/22888
      https://github.com/docker/docker/pull/23046
    - refresh "remove-docker-prefix.patch"
    - refresh "skip-privileged-unit-tests.patch"; add new privileged tests,
      + TestMakeRemoteContext
      + TestMakeSumTarContext
      + TestDispatch
      + TestEmptyDockerfile
      + TestDockerfileOutsideTheBuildContext
      + TestRealodNoOpts
    - replace "lxd--20902--docker-in-userns.patch" with the upstream-applied
      "lxd--25672--docker-in-userns.patch"
    - remove "lxd--runc-617.patch"; no longer necessary (due to kernel fixes),
      https://github.com/opencontainers/runc/pull/617#issuecomment-223654149
    - remove "21714--no-aufs-in-userns.patch"; applied upstream,
      https://github.com/docker/docker/pull/21714
    - add "man" to "DH_GOLANG_EXCLUDES" (has new "generate.go" which imports the
      non-vendored "github.com/spf13/cobra/doc", causing dh_golang to choke)
    - add "docker-proxy-vendor.patch" to account for "vendor/..." vs
      "vendor/src/..."
    - install new explicit "dockerd" and "docker-proxy" binaries
    - update containerd dependency (>= 0.2.3)
    - update runc dependency (>= 1.0.0-rc1)
  * Update "debian/watch" to use "uscan.tianon.xyz" so older versions are still
    easily fetchable without excess work outside uscan

 -- Tianon Gravi <tianon@debian.org>  Wed, 24 Aug 2016 11:48:34 -0700

docker.io (1.11.2-0ubuntu6) yakkety; urgency=medium

  * Merge from Debian Unstable:
    - more README.Debian notes (including a fixed href)
    - new "docker-doc" package which contains the documentation
    - use "dh-golang" for building (generates appropriate Built-Using)
    - run upstream unit tests during dh_auto_test
    - convert upstream-discouraged "/etc/default/docker" to comments-only
    - utilize dh_install (w/dh-exec) more fully to simplify debian/rules
    - fix "/etc/docker" permissions for co-existence with docker-registry
    - remove "/var/lib/docker" on purge
  * Remaining Ubuntu delta:
    - non-pruned vendor/ (included in golang-github-docker-docker-dev)
    - Docker-in-userns patches
  * Changes from pending Debian upload:
    - build from within GOPATH so Go packages are resolved properly
    - split "dh_auto_build-arch" from "dh_auto_build-indep"

