## docker.io 1.12.6

=== debian/changelog ===
docker.io (1.12.6-0ubuntu1~16.10.1) yakkety; urgency=medium

  * Backport to Yakkety. (LP: #1655906)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 30 Jan 2017 12:02:23 +1300

docker.io (1.12.6-0ubuntu1) zesty; urgency=medium

  * Update to 1.12.6 upstream release (LP: #1655906)
    - add a few new privileged tests to "skip-privileged-unit-tests.patch"
  * Adjust runc Depends to ensure fix for CVE-2016-9962 is included

 -- Tianon Gravi <tianon@debian.org>  Fri, 13 Jan 2017 11:57:24 +1300

docker.io (1.12.3-0ubuntu4) zesty; urgency=medium

  * Explicity depend on the version of runc that was built with seccomp
    support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 12 Dec 2016 11:15:01 +1300

docker.io (1.12.3-0ubuntu3) zesty; urgency=medium

  [ Michael Hudson-Doyle ]
  * d/test/docker-in-lxd: make test for "is network up" more robust. 

  [ Stefan Bader ]
  * Backport upstream 1.13 change to keep existing bridges untouched
    (LP: #1647376)
    - upstream-1.13-Vendor-libnetwork-51d88e9ae63f.patch

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 08 Dec 2016 11:53:36 +1300

docker.io (1.12.3-0ubuntu2) zesty; urgency=medium

  [ Tianon Gravi ]
  * Enable seccomp support (LP: #1639407)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 30 Nov 2016 12:34:22 -0800

docker.io (1.12.3-0ubuntu1) zesty; urgency=medium

  * Update to 1.12.3 upstream release
    - https://github.com/docker/docker/releases/tag/v1.12.2
    - https://github.com/docker/docker/releases/tag/v1.12.3

 -- Tianon Gravi <tianon@debian.org>  Tue, 15 Nov 2016 15:50:32 -0800
