=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                golang-any (>= 2:1.6~) | golang-1.6-go,
                libapparmor-dev,
                libdevmapper-dev (>= 2:1.02.68~),
+               libseccomp-dev,
                pkg-config,
                procps
 Standards-Version: 3.9.8
@@ -29,9 +30,9 @@
 Package: docker.io
 Architecture: amd64 arm64 armhf i386 ppc64el s390x
 Depends: adduser,
-         containerd (>= 0.2.3~),
+         containerd (>= 0.2.5~),
          iptables,
-         runc (>= 1.0.0~rc1~),
+         runc (>= 1.0.0~rc2-0ubuntu1~),
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
