## docker.io 1.13.1~ds1

=== debian/changelog ===
docker.io (1.13.1~ds1-2) unstable; urgency=medium

  * Make test suite pass by using assorted patches to fix or disable
    tests that don't work under pbuilder. (Closes: #858269)
  * Suppress some unfixable Lintian warnings.
  * Verify CVE-2016-9962 is fixed. (Closes: #850952)

 -- Tim Potter <tpot@hpe.com>  Wed, 07 Jun 2017 11:43:14 +1000

docker.io (1.13.1~ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Tim Potter <tpot@hpe.com>  Wed, 24 May 2017 11:44:10 +1000

docker.io (1.13.0~ds1-3) unstable; urgency=medium

  * Add api and client directories to dev package.

 -- Tim Potter <tpot@hpe.com>  Mon, 24 Apr 2017 16:02:32 +1000

docker.io (1.13.0~ds1-2) unstable; urgency=medium

  * Re-enable logfiles.com logging support after upstream license
    change.
  * Run nuke-graph-directory.sh using bash instead of regular sh.
  * Fix dockerd location for sysvinit and upstart scripts. (Closes: #858249)

 -- Tim Potter <tpot@hpe.com>  Tue, 28 Mar 2017 15:41:55 +1100

docker.io (1.13.0~ds1-1) experimental; urgency=medium

  [ Paul Tagliamonte ]
  * Remove myself as maintainer, and swap out tpot. Sadly, these days, I'm
    mostly just in the way, and not actually helping all that much with
    the Docker packaging. My last upload was basically forever ago, and
    tianon and tpot have been doing all the work since than. As such, I'm
    going to make an unilateral executive decision to tell everyone who
    listens to actually just listen to tpot. I plan to continue to be around in
    the form of cruft and chaos monkey. You should also listen to tianon.

  [ Tianon Gravi ]
  * Update basic-smoke test with "set -x" for debuggability and proper Depends
  * Build from within GOPATH so Go packages are resolved properly
  * Split "dh_auto_build-arch" from "dh_auto_build-indep"
  * Update "debian/watch" to use "uscan.tianon.xyz" so older versions are still
    easily fetchable without excess work outside uscan
  * Fix d/copyright text about Apache version 2.0 being in
    "/usr/share/common-licenses/GPL-2" (Closes: #835440); thanks cascardo!
  * Add Tim Potter to Uploaders ♥
  * Add a bit more formatting to README.Debian (and a short intro to explain
    what kinds of things this file includes)
  * Add an explicit note about "systemd.legacy_systemd_cgroup_controller=yes"
    in README.Debian (Closes: #843530)
  * Add explicit new "golang-golang-x-oauth2-google-dev" package to Depends

  [ Tim Potter ]
  * Add missing "golang-github-docker-go-events-dev" B-D (Closes: #850793)
  * New upstream version.
  * Refresh patches and remove obsolete ones.
  * Remove logentries.com log driver as upstream module is unlicensed.

 -- Tianon Gravi <tianon@debian.org>  Fri, 19 Aug 2016 12:52:55 -0700
