=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: docker.io
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Paul Tagliamonte <paultag@debian.org>
+Maintainer: Tim Potter <tpot@hpe.com>
 Uploaders: Docker Packaging Team <docker-maint@lists.alioth.debian.org>,
-           Tianon Gravi <tianon@debian.org>
+           Tianon Gravi <tianon@debian.org>,
+           Paul Tagliamonte <paultag@debian.org>
 Build-Conflicts: golang-github-docker-docker-dev
 Build-Depends: bash-completion,
-               btrfs-tools,
+               btrfs-progs,
                ca-certificates,
                debhelper (>= 9),
                dh-exec,
@@ -16,11 +16,78 @@
                git,
                go-md2man (>= 1.0.3~),
                golang-any (>= 2:1.6~) | golang-1.6-go,
+               golang-dbus-dev (>= 3~) | golang-github-godbus-dbus-dev (>= 3~),
+               golang-dns-dev (>= 0.0~git20151201~) | golang-github-miekg-dns-dev (>= 0.0~git20151201~),
+               golang-ed25519-dev (>= 0~20140907~) | golang-github-agl-ed25519-dev (>= 0~20140907~),
+               golang-etcd-server-dev (>= 2.2.0~) | golang-github-coreos-etcd-dev (>= 2.2.0~),
+               golang-github-aanand-compose-file-dev,
+               golang-github-armon-go-metrics-dev (>= 0.0~git20150106~),
+               golang-github-aws-aws-sdk-go-dev (>= 0.9.9~),
+               golang-github-boltdb-bolt-dev (>= 1.2.0~),
+               golang-github-bsphere-le-go-dev,
+               golang-github-burntsushi-toml-dev (>= 0.0~git20150127~),
+               golang-github-coreos-go-systemd-dev (>= 4~),
+               golang-github-deckarep-golang-set-dev (>= 0.0~git20141121~),
+               golang-github-dnephin-cobra-dev (>= 1.5+git20161103.0.a3c0924~),
+               golang-github-docker-containerd-dev (>= 0.2.3+git20170126.85.aa8187d~ds1~),
+               golang-github-docker-distribution-dev (>= 2.4.1~),
+               golang-github-docker-docker-credential-helpers-dev (>= 0.3.0+git20160906.22.f72c04f~),
+               golang-github-docker-engine-api-dev (>= 0.3.3~),
+               golang-github-docker-go-connections-dev (>= 0.2.1+git20170204.13.ecb4cb2~),
+               golang-github-docker-go-dev (>= 0.0~git20151102~),
+               golang-github-docker-go-events-dev,
+               golang-github-docker-go-metrics-dev,
+               golang-github-docker-go-units-dev (>= 0.3.1+git20161130.10.e30f1e7),
+               golang-github-docker-libkv-dev (>= 0.0~git20151014~),
+               golang-github-docker-libnetwork-dev (>= 0.8.0-dev.2+git20170202.599.45b4086~),
+               golang-github-docker-libtrust-dev (>= 0.0~git20150526~),
+               golang-github-docker-swarmkit-dev (>= 1.12.0+git20170201.779.1c7f003d~),
+               golang-github-fluent-fluent-logger-golang-dev (>= 1.1.0~),
+               golang-github-flynn-archive-go-shlex-dev,
+               golang-github-fsnotify-fsnotify-dev (>= 1.2.0~) | golang-gopkg-fsnotify.v1-dev (>= 1.2.0~),
+               golang-github-gorilla-context-dev (>= 0.0~git20140604~),
+               golang-github-gorilla-mux-dev (>= 0.0~git20140926~),
+               golang-github-azure-go-ansiterm-dev,
+               golang-github-graylog2-go-gelf-dev (>= 0.0~git20160208~),
+               golang-github-hashicorp-consul-dev (>= 0.5.2~),
+               golang-github-hashicorp-go-msgpack-dev (>= 0.0~git20140221~),
+               golang-github-hashicorp-memberlist-dev (>= 0.0~git20150107~),
+               golang-github-hashicorp-serf-dev (>= 0.0~git20150212~),
+               golang-github-imdario-mergo-dev (>= 0.2.1~),
+               golang-github-kr-pty-dev (>= 0.0~git20150511~),
+               golang-github-mattn-go-shellwords-dev (>= 1.0.0~),
+               golang-github-mattn-go-sqlite3-dev (>= 1.1.0~),
+               golang-github-miekg-pkcs11-dev (>= 0.0~git20160222~),
+               golang-github-opencontainers-runc-dev (>= 1.0.0~rc2+git20170201.133.9df8b30~),
+               golang-github-opencontainers-specs-dev (>= 0.0~git20160422~),
+               golang-github-philhofer-fwd-dev (>= 0.0~git20150401~),
+               golang-github-racksec-srslog-dev (>= 0.0~git20160120~),
+               golang-github-samuel-go-zookeeper-dev (>= 0.0~git20150415~),
+               golang-github-sirupsen-logrus-dev (>= 0.9.0~),
+               golang-github-tchap-go-patricia-dev (>= 2.1.0~),
+               golang-github-tinylib-msgp-dev (>= 0.0~git20150407~),
+               golang-github-tonistiigi-fifo-dev,
+               golang-github-ugorji-go-codec-dev (>= 0.0~git20150803~) | golang-github-ugorji-go-dev (>= 0.0~git20150803~),
+               golang-github-vaughan0-go-ini-dev (>= 0.0~git20130923~),
+               golang-github-vbatts-tar-split-dev (>= 0.9.11~),
+               golang-github-vdemeester-shakers-dev (>= 0.0~git20160210~),
+               golang-github-vishvananda-netlink-dev (>= 0.0~git20160214~),
+               golang-github-vishvananda-netns-dev (>= 0.0~git20150710~),
+               golang-golang-x-time-dev,
+               golang-go-zfs-dev (>= 2.1.1~) | golang-github-mistifyio-go-zfs-dev (>= 2.1.1~),
+               golang-gocapability-dev (>= 0.0~git20150614~) | golang-github-syndtr-gocapability-dev (>= 0.0~git20150614~),
+               golang-golang-x-net-dev (>= 0.0~git20160407~),
+               golang-golang-x-oauth2-google-dev (>= 0.0~git20151203~) | golang-golang-x-oauth2-dev (>= 0.0~git20151203~),
+               golang-google-api-dev (>= 0.0~git20151216~),
+               golang-google-cloud-dev (>= 0.0~git20151216~),
+               golang-google-grpc-dev (>= 0.0~git20151216~),
+               golang-gopkg-check.v1-dev (>= 0.0~git20160311~) | golang-github-go-check-check-dev (>= 0.0~git20160311~),
+               golang-goprotobuf-dev (>= 0.0~git20151207~) | golang-github-golang-protobuf-dev (>= 0.0~git20151207~),
                libapparmor-dev,
                libdevmapper-dev (>= 2:1.02.68~),
-               libseccomp-dev,
                pkg-config,
-               procps
+               procps,
+               tzdata
 Standards-Version: 3.9.8
 Homepage: https://dockerproject.org
 Vcs-Git: https://anonscm.debian.org/git/docker/docker.io.git
@@ -28,24 +95,25 @@
 XS-Go-Import-Path: github.com/docker/docker
 
 Package: docker.io
-Architecture: amd64 arm64 armhf i386 ppc64el s390x
+Architecture: linux-any
 Depends: adduser,
-         containerd (>= 0.2.5~),
+         containerd (>= 0.2.3+git20170126.85.aa8187d~ds1~),
          iptables,
-         runc (>= 1.0.0~rc2-0ubuntu1~),
+         golang-libnetwork (>= 0.8.0-dev.2+git20170202.599.45b4086~),
+         lsb-base,
+         runc (>= 1.0.0~rc2+git20170201.133.9df8b30~),
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
 Recommends: ca-certificates,
             cgroupfs-mount | cgroup-lite,
             git,
-            ubuntu-fan,
             xz-utils,
             ${apparmor:Recommends}
 Replaces: docker (<< 1.5~)
 Breaks: docker (<< 1.5~)
 Suggests: aufs-tools,
-          btrfs-tools,
+          btrfs-progs,
           debootstrap,
           docker-doc,
           rinse,
@@ -79,7 +147,20 @@
 
 Package: golang-github-docker-docker-dev
 Architecture: all
-Depends: ${misc:Depends}
+Depends: golang-github-docker-go-connections-dev,
+         golang-github-docker-go-units-dev,
+         golang-github-docker-libkv-dev,
+         golang-github-fsnotify-fsnotify-dev,
+         golang-github-gorilla-mux-dev,
+         golang-github-mattn-go-shellwords-dev,
+         golang-github-mattn-go-sqlite3-dev,
+         golang-github-opencontainers-runc-dev,
+         golang-github-sirupsen-logrus-dev,
+         golang-github-tchap-go-patricia-dev,
+         golang-github-vdemeester-shakers-dev,
+         golang-golang-x-net-dev,
+         golang-gopkg-check.v1-dev,
+         ${misc:Depends}
 Built-Using: ${misc:Built-Using}
 Replaces: golang-docker-dev (<< 1.8.2~ds1-1~)
 Breaks: golang-docker-dev (<< 1.8.2~ds1-1~)
