=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 export DH_GOLANG_INSTALL_ALL := 1
 export DH_GOLANG_EXCLUDES := \
 	integration-cli \
-	man \
 	vendor
 
 # temporary build path (see http://golang.org/doc/code.html#GOPATH)
