## docker.io 1.13.1

=== debian/changelog ===
docker.io (1.13.1-0ubuntu1~17.04.1) zesty; urgency=medium

  * Backport to Zesty. (LP: #1712954)

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Fri, 01 Sep 2017 10:44:02 +1200

docker.io (1.13.1-0ubuntu1) artful; urgency=medium

  * Update to 1.13.1 upstream release
    - refresh patches (removing many that are applied upstream in 1.13+)
    - use dh_clean (via debian/clean) instead of explicit "rm" in rules
    - pull in explicit libnetwork sources for "docker-proxy"
    - drop unnecessary dh_golang usage (only used for Built-Using calculation)
    - update "upstream-version-gitcommits" with a more recent list of commits
    - add "tini" for building "docker-init" (used by "docker run --init")
    - prefer Go 1.7 explicitly if it's available

 -- Tianon Gravi <tianon@debian.org>  Tue, 22 Aug 2017 09:30:24 -0700

docker.io (1.12.6-0ubuntu7) artful; urgency=medium

  * Make sure to set security.nesting for the LXD autopkgtest.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 06 Jun 2017 14:55:34 -0600

docker.io (1.12.6-0ubuntu6) artful; urgency=medium

  * Fix FTBFS on Go 1.8.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 05 Jun 2017 16:21:16 -0600

docker.io (1.12.6-0ubuntu5) artful; urgency=medium

  * Update LXD autopkgtest now that the "docker" profile is deprecated.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 05 Jun 2017 15:59:18 -0600

docker.io (1.12.6-0ubuntu4) zesty; urgency=medium

  * Revert 1.12.6-0ubuntu2 as it does not achieve the stated goal on both
    s390x and armhf. And lxc/lxd adt runners are too restrictive to
    e.g. import an ubuntu-base container for a minimal functional test.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 14 Mar 2017 09:41:30 +0000

docker.io (1.12.6-0ubuntu3) zesty; urgency=medium

  * debian/tests/docker-in-lxd: Fix a latent version comparison bug that was
    causing migration failures due to the script thinking it was dealing
    with an old LXD (< 2.2) when it was really dealing with a recent LXD
    (>= 2.10). The fix is to use `lxc info` to check if the network extension
    is supported, rather than trying to compare version strings.

 -- Tyler Hicks <tyhicks@canonical.com>  Fri, 10 Mar 2017 17:40:22 +0000

docker.io (1.12.6-0ubuntu2) zesty; urgency=medium

  * Remove isolation-machine restriction from adt smoke-test
    testcase. Should pass on s390x lxd runners; will fails on armhf
    runners but that is not a regressions since previously all tests were
    simply skipped on armhf. LP: #1658150

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 01 Feb 2017 10:08:00 +0000
