=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 export DH_GOLANG_INSTALL_ALL := 1
 export DH_GOLANG_EXCLUDES := \
 	integration-cli \
+	man \
 	vendor
 
 # temporary build path (see http://golang.org/doc/code.html#GOPATH)
@@ -22,13 +23,13 @@
 
 # AppArmor can be optionally used in Debian and is there by default in Ubuntu, so we need support for it compiled into our binary
 # same story with SELinux
-export DOCKER_BUILDTAGS := apparmor selinux
+export DOCKER_BUILDTAGS := apparmor seccomp selinux
 
 # since "gccgo" doesn't ship the "dist" go tool (and isn't likely to start), let's use that for now to detect gc vs gccgo
 export DOCKER_BUILD_TARGET := $(shell go tool dist env > /dev/null 2>&1 && echo dynbinary || echo dyngccgo)
 
-# prefer Go 1.6 explicitly if it's available (golang-1.6-go)
-export PATH := /usr/lib/go-1.6/bin:$(PATH)
+# prefer Go 1.7 explicitly if it's available (golang-1.7-go)
+export PATH := /usr/lib/go-1.7/bin:$(PATH)
 
 
 APPARMOR_RECOMMENDS := $(shell dpkg-vendor --is Ubuntu && echo apparmor)
@@ -41,25 +42,13 @@
 
 
 override_dh_auto_configure:
-	dh_auto_configure
-	
-ifneq (, $(wildcard $(CURDIR)/vendor/src))
-	# prefer vendored deps (when they exist)
-	rm -rf '$(OUR_GOPATH)/src/$(DH_GOPKG)/vendor' \
-		&& mkdir '$(OUR_GOPATH)/src/$(DH_GOPKG)/vendor' \
-		&& cd vendor/src \
-		&& cp -r . '$(OUR_GOPATH)/src/$(DH_GOPKG)/vendor'
-endif
-	
-	# make sure the bits modified at build-time are properly in our GOPATH
-	mkdir -p '$(OUR_GOPATH)/src/$(DH_GOPKG)'
-	#   dockerversion
-	rm -rf '$(OUR_GOPATH)/src/$(DH_GOPKG)/dockerversion'
-	ln -sfT '$(CURDIR)/dockerversion' '$(OUR_GOPATH)/src/$(DH_GOPKG)/dockerversion'
-	#   bundles
-	mkdir -p bundles
-	rm -rf '$(OUR_GOPATH)/src/$(DH_GOPKG)/bundles'
-	ln -sfT '$(CURDIR)/bundles' '$(OUR_GOPATH)/src/$(DH_GOPKG)/bundles'
+	# set up GOPATH symlink farm
+	#  libnetwork
+	mkdir -p '$(OUR_GOPATH)/src/github.com/docker'
+	ln -sfT '$(CURDIR)/libnetwork' '$(OUR_GOPATH)/src/github.com/docker/libnetwork'
+	#  docker
+	mkdir -p '$(OUR_GOPATH)/src/github.com/docker'
+	ln -sfT '$(CURDIR)' '$(OUR_GOPATH)/src/github.com/docker/docker'
 
 override_dh_auto_build-indep:
 	# noop
@@ -73,14 +62,23 @@
 	
 	# compile man pages
 	./man/md2man-all.sh -q
+	
+	# compile docker-proxy (from libnetwork)
+	go build -o libnetwork/docker-proxy github.com/docker/libnetwork/cmd/proxy
+	
+	# compile docker-init (tini)
+	cd tini \
+		&& cmake . \
+		&& make tini-static
 
 
 override_dh_install:
 	## Do not install extra license files:
 	dh_install -XLICENSE
 
+
 override_dh_auto_install:
-	# skip dh_auto_install to stop dh_golang trying to copy bits for /usr/share/gocode (we use dh_install/dh-exec for that)
+	# we use dh_install / dh-exec for installing files where they need to be
 
 
 override_dh_auto_test:
@@ -106,13 +104,7 @@
 	
 	# OUR_GOPATH is created by us
 	rm -rf '$(OUR_GOPATH)'
-	
-	# autogen is created by hack/make.sh
-	# bundles is created by hack/make.sh
-	# dockerversion/version_autogen.go is created by hack/make.sh
-	# man/man*/ is created by man/md2man-all.sh
-	rm -rf autogen bundles dockerversion/version_autogen.go man/man*/
 
 
 %:
-	dh $@ --buildsystem=golang --with=systemd,bash-completion,golang --builddirectory='$(OUR_GOPATH)'
+	dh $@ --with=systemd,bash-completion
