=== debian/watch ===
version=4

# github's ".../tags" paginates too soon, so we lose historical versions too early for tianon's tastes (hence uscan.tianon.xyz)
#  https://github.com/docker/docker/tags

opts=\
dversionmangle=s/[+~](debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/docker.io_$1.orig.tar.gz/ \
  https://uscan.tianon.xyz/github.com/docker/docker \
  https://github.com/.*/v(\d\S*)\.tar\.gz

opts=\
component=libnetwork,\
uversionmangle=s/-ce//g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/docker-(\d\S*)\.tar\.gz/docker.io_$1.orig-libnetwork.tar.gz/ \
  https://uscan.tianon.xyz/github.com/tianon/docker-libnetwork-tags \
  https://github.com/.*/docker-(\d\S*)\.tar\.gz

opts=\
component=tini,\
uversionmangle=s/-ce//g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/docker-(\d\S*)\.tar\.gz/docker.io_$1.orig-tini.tar.gz/ \
  https://uscan.tianon.xyz/github.com/tianon/docker-tini-tags \
  https://github.com/.*/docker-(\d\S*)\.tar\.gz
